<ui:composition
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"

        xmlns:p="http://primefaces.org/ui"
        xmlns:x="http://java.sun.com/jsf/html"
        xmlns:f="http://xmlns.jcp.org/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
        template="../../resources/templates/tfjadefault/template.xhtml">


    <script type="text/javascript">


        PrimeFaces.locales['es'] = {
            closeText: 'Cerrar',
            prevText: 'Anterior',
            nextText: 'Siguiente',
            monthNames: ['Enero','Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
            monthNamesShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun','Jul','Ago','Sep','Oct','Nov','Dic'],
            dayNames: ['Domingo','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado'],
            dayNamesShort: ['Dom','Lun', 'Mar', 'Mie', 'Jue', 'Vie', 'Sab'],
            dayNamesMin: ['D','L','M','M','J','V','S'],
            weekHeader: 'Semana',
            firstDay: 1,
            isRTL: false,
            showMonthAfterYear: false,
            yearSuffix: '',
            timeOnlyTitle: 'Sólo hora',
            timeText: 'Tiempo',
            hourText: 'Hora',
            minuteText: 'Minuto',
            secondText: 'Segundo',
            currentText: 'Fecha actual',
            ampm: false,
            month: 'Mes',
            week: 'Semana',
            day: 'Día',
            allDayText : 'Todo el día'
        };

    </script>





    <style>
        div[id="form:growl_container"] > div {
            background-color: red !important;
        }
        div[id="form:growl_container"] > div{
            background-color: green !important;
        }
    </style>
    <ui:define name="content">

        <h:form id="form">
            <p:growl id="growl" showDetail="true" sticky="true"  globalOnly="true"/>
            <p:panel id="pnlFields">
                <p:panelGrid>

                    <div align="center" style="font-size: xx-large;color:#0D47A1">
                        Módulo de Administración Nacional
                    </div>


                    <label id="j_idt32" class="ui-outputlabel ui-widget" style="font-weight: bold; font-size: 18px;">Asignación de Usuarios de Guardias SICSEJ</label>

                    <!--
                    <p:row>
                        <p:column colspan="2">
                            <h:outputLabel value="MÓDULO DE ADMINISTRACIÓN NACIONAL" />
                        </p:column>
                    </p:row>
                    -->

                    <!--   Combo Base de Datos -->


                    <p:row>
                        <p:column>
                            <p:outputLabel for="calGuard1" value="Fecha de Inicio de Guardia:" />
                            <p:calendar id="calGuard1" value="#{assignGuardMB.date1}" showOn="button" pattern="dd/MM/yyyy" mask="true"/>
                        </p:column>
                        <p:column>
                            <p:outputLabel for="calGuard2" value="Fecha de Fin de Guardia:" />
                            <p:calendar id="calGuard2" value="#{assignGuardMB.date2}" showOn="button" pattern="dd/MM/yyyy" mask="true"/>
                        </p:column>
                    </p:row>


                    <p:row>
                        <p:column>
                            <h:outputLabel value="Usuario de guardía con el Rol de Magistrado" />
                        </p:column>
                        <p:column>
                            <p:selectOneMenu value="#{assignGuardMB.usrMag}">
                                <f:selectItem itemLabel="Seleccione un usuario de guardía con el Rol de Magistrado"/>
                                <f:selectItems value="#{assignGuardMB.usersList}"/>
                                <!-- Se debe realizar la conexión hasta que se captura el login del usuario y su nueva contraseña -->
                                <!-- <p:ajax event="change" listener="#{searchMB.cnSearch}" update="pnlFields"/>   -->
                            </p:selectOneMenu>
                        </p:column>
                    </p:row>


                    <p:row>
                        <p:column>
                            <h:outputLabel value="Usuario de guardía con el Rol de Secretario" />
                        </p:column>
                        <p:column>
                            <p:selectOneMenu value="#{assignGuardMB.usrSrio}">
                                <f:selectItem itemLabel="Seleccione un usuario de guardía con el Rol de Secretario"/>
                                <f:selectItems value="#{assignGuardMB.usersList}"/>
                                <!-- Se debe realizar la conexión hasta que se captura el login del usuario y su nueva contraseña -->
                                <!-- <p:ajax event="change" listener="#{searchMB.cnSearch}" update="pnlFields"/>   -->
                            </p:selectOneMenu>
                        </p:column>
                    </p:row>

                    <p:row>
                        <p:column>
                            <h:outputLabel value="Usuario de guardía con el Rol de Actuario" />
                        </p:column>
                        <p:column>
                            <p:selectOneMenu value="#{assignGuardMB.usrAct}">
                                <f:selectItem itemLabel="Seleccione un usuario de guardía con el Rol de Actuario"/>
                                <f:selectItems value="#{assignGuardMB.usersList}"/>
                                <!-- Se debe realizar la conexión hasta que se captura el login del usuario y su nueva contraseña -->
                                <!-- <p:ajax event="change" listener="#{searchMB.cnSearch}" update="pnlFields"/>   -->
                            </p:selectOneMenu>
                        </p:column>
                    </p:row>

                    <p:row>
                        <p:column>
                            <h:outputLabel value="Usuario de guardía con el Rol de Archivista" />
                        </p:column>
                        <p:column>
                            <p:selectOneMenu value="#{assignGuardMB.usrArc}">
                                <f:selectItem itemLabel="Seleccione un usuario de guardía con el Rol de Archivista"/>
                                <f:selectItems value="#{assignGuardMB.usersList}"/>
                                <!-- Se debe realizar la conexión hasta que se captura el login del usuario y su nueva contraseña -->
                                <!-- <p:ajax event="change" listener="#{searchMB.cnSearch}" update="pnlFields"/>   -->
                            </p:selectOneMenu>
                        </p:column>
                    </p:row>



                    <p:row>
                        <p:column>
                            <h:outputLabel value="Usuario de guardía con el Rol de Oficial de Partes" />
                        </p:column>
                        <p:column>
                            <p:selectOneMenu value="#{assignGuardMB.usrOfp}">
                                <f:selectItem itemLabel="Seleccione un usuario de guardía con el Rol de Oficial de Partes"/>
                                <f:selectItems value="#{assignGuardMB.usersList}"/>
                                <!-- Se debe realizar la conexión hasta que se captura el login del usuario y su nueva contraseña -->
                                <!-- <p:ajax event="change" listener="#{searchMB.cnSearch}" update="pnlFields"/>   -->
                            </p:selectOneMenu>
                        </p:column>
                    </p:row>




                    <!--
                    <h:outputText value="Basic: " />
                    <p:password value="#{utilisateur.password}" redisplay="true" />
                    -->

                    <f:facet name="footer">
                        <p:row>
                            <p:column colspan="2">
                                <p:commandButton value="EJECUTAR PROCESO DE GUARDIA" update="growl" action="#{assignGuardMB.ejecutaPeriodGuard}"/>
                            </p:column>
                        </p:row>

                    </f:facet>
                </p:panelGrid>

            </p:panel>



            <p:dialog modal="true" resizable="false" header="Values" widgetVar="dlg" showEffect="fold">
                <p:panelGrid id="display" columns="2" columnClasses="label,value">

                    <h:outputText value="Button:" />
                    <h:outputText value="#{calendarViewMB.date1}">
                        <f:convertDateTime pattern="dd/MM/yyyy" />
                    </h:outputText>

                    <h:outputText value="Button:" />
                    <h:outputText value="#{calendarViewMB.date2}">
                        <f:convertDateTime pattern="dd/MM/yyyy" />
                    </h:outputText>

                </p:panelGrid>
            </p:dialog>


        </h:form>

        <p:outputLabel value="Ver. 0.7 ALFA" />
    </ui:define>

</ui:composition>